Table of Contents

## Name

AuSoundCreateFileFromBucket - copy the data from a bucket into a file.

## Synopsis

#include <audio/audiolib.h>
#include <audio/soundlib.h>

AuBool AuSoundCreateFileFromBucket(server, filename, file_format, bucket, status)
AuServer *server;
char *filename;
int file_format;
AuBucketID bucket;
AuStatus *status;

## Arguments

server
  Specifies the connection to the audio server.
filename
  Specifies the name of the file to use.
file
  Specifies the format of the file. Currently, the following file formats are supported: SoundFileFormatSnd, SoundFileFormatVoc, SoundFileFormatWave, SoundFileFormatAiff, SoundFileFormatSvx.
bucket
  Specifies the bucket to get the audio data from.
status
  If non-NULL, flush the output buffer and return the status from the server.

## Description

AuSoundCreateFileFromBucket creates a file using the audio data from bucket and returns AuTrue if successfull or AuFalse if there was an error.

## Errors

AuBadBucket.

## See Also

AuSoundCreateDataFromBucket.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- Errors
- See Also